git에서 vi 에러 메세지 해결하기

2017-03-02
블로그 UI가 개편중입니다. 참고해주세요.
History
  • 본 포스팅은 2017년 08월 09일에 수정되었습니다.

git 사용중에 아래와 같은 vi 관련 에러 메시지가 발생했다. 이 에러가 발생하면 git 명령어 처리가 제대로 작동하지 않는다.

error: There was a problem with the editor 'vi'.
Please supply the message using either -m or -F option.

다음과 같이 글로벌 옵션을 주어서 에러 메세지를 해결했다.

git config --global core.editor $(which vim)

참고로 관련 내용을 찾아보니 vim의 버그라는 이야기가 있었고, 또다른 해결책으로 vim을 재설치하는 방법이 있었다..